nxt.peer

## Class NetworkMessage.MilestoneBlockIdsMessage

- java.lang.Object
- - nxt.peer.NetworkMessage
  - - nxt.peer.NetworkMessage.MilestoneBlockIdsMessage

- Enclosing class:
    NetworkMessage

      public static class NetworkMessage.MilestoneBlockIdsMessage
      extends NetworkMessage

  The MilestoneBlockIds message is returned in response to the GetMilestoneBlockIds message. The message identifier is obtained from the GetMilestoneBlockIds message.
  - Message identifier (long)
  - Last block indicator (boolean)
  - Block identifier list (long)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class nxt.peer.NetworkMessage

      `NetworkMessage.AddPeersMessage, NetworkMessage.BlockchainStateMessage, NetworkMessage.BlockIdsMessage, NetworkMessage.BlockInventoryMessage, NetworkMessage.BlocksMessage, NetworkMessage.BundlerRateMessage, NetworkMessage.CumulativeDifficultyMessage, NetworkMessage.ErrorMessage, NetworkMessage.GetBlockMessage, NetworkMessage.GetCumulativeDifficultyMessage, NetworkMessage.GetInfoMessage, NetworkMessage.GetMilestoneBlockIdsMessage, NetworkMessage.GetNextBlockIdsMessage, NetworkMessage.GetNextBlocksMessage, NetworkMessage.GetPeersMessage, NetworkMessage.GetTransactionsMessage, NetworkMessage.GetUnconfirmedTransactionsMessage, NetworkMessage.MilestoneBlockIdsMessage, NetworkMessage.TransactionsInventoryMessage, NetworkMessage.TransactionsMessage`

  - ### Field Summary

    - ### Fields inherited from class nxt.peer.NetworkMessage

      `MAX_ARRAY_LENGTH, MAX_LIST_SIZE, messageId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MilestoneBlockIdsMessage(long messageId, boolean isLastBlock, java.util.List<java.lang.Long> blockIds)` Construct a MilestoneBlockIds message

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected NetworkMessage` | `constructMessage(java.nio.ByteBuffer bytes)` Construct the message from the message bytes
    `java.util.List<java.lang.Long>` | `getBlockIds()` Get the milestone block identifiers
    `boolean` | `isLastBlock()` Get the last block indicator

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MilestoneBlockIdsMessage

          public MilestoneBlockIdsMessage(long messageId,
                                          boolean isLastBlock,
                                          java.util.List<java.lang.Long> blockIds)

      Construct a MilestoneBlockIds message
      Parameters:
        `messageId` - Message identifier
        `isLastBlock` - Last block indicator
        `blockIds` - Block identifier list

  - ### Method Detail

    - #### constructMessage

          protected NetworkMessage constructMessage(java.nio.ByteBuffer bytes)
                                             throws java.nio.BufferOverflowException,
                                                    java.nio.BufferUnderflowException,
                                                    nxt.peer.NetworkException

      Construct the message from the message bytes
      Overrides:
        `constructMessage` in class `NetworkMessage`
      Parameters:
        `bytes` - Message bytes following the message name
      Returns:
        Message
      Throws:
        `java.nio.BufferOverflowException` - Message buffer is too small
        `java.nio.BufferUnderflowException` - Message is too short
        `NetworkException` - Message is not valid

    - #### isLastBlock

          public boolean isLastBlock()

      Get the last block indicator
      Returns:
        Last block indicator

    - #### getBlockIds

          public java.util.List<java.lang.Long> getBlockIds()

      Get the milestone block identifiers
      Returns:
        Milestone block identifiers